@font-face {
    font-family: montserrat;
    src:url(montserrat.ttf)
}

body 
{
    font-family: montserrat;
    color:antiquewhite;
    background-color: #111;
    align-items: center;
    justify-content: center;
    margin:0;
}

main {
    padding: 1rem 5vw;
}

.gallery {
    display:grid;
    grid-template-columns: repeat(3,1fr);
    gap:1rem;

    list-style: none;

    max-width: 100vw;
    box-sizing: border-box;
    padding: 1rem;
    overflow: hidden; /* safety net */
}

@media screen and (max-width: 1000px) {
    .gallery {
        grid-template-columns: repeat(1,1fr);
    }
}

.gallery li img{
    width: 100%;
    height: 100%;
    aspect-ratio: calc(2/3);
    border-radius: 1em;
    object-fit: cover;
    min-width: 0;
}


.bar{
    display:flex;
    background-color: #000;
    margin:0;
    padding:1em;
    justify-content: center;
}

nav ul{
    background-color: #000;
    display: flex;
    align-items:center;
    justify-content:center;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

nav ul li {
    width: 50%;
}

nav ul li a:hover{
    background-color: #222;
    color:darksalmon
}


nav ul li a{
    padding: 1rem 2rem;
    display:flex;
    color:inherit;
    justify-content: center;
    text-decoration: none;
    font-size:x-large;
    text-align: center;
}

.gallery-img {
    cursor: pointer;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0,0,0,0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}

.overlay img {
    max-width: 90%;
    max-height: 90%;
    border-radius: 1rem;
    box-shadow: 0 0 20px rgba(0,0,0,0.5);
    cursor: pointer;
}

.gallery_item.hidden  img{
  display: none;
}

.gallery_item.hidden {
  display: none; /* THIS hides the <li> */
}

